Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008414opensim[REGION] OpenSim Corepublic2018-11-28 12:442018-12-02 23:12
Reporteraiaustin 
Assigned ToUbitUmarov 
PrioritynormalSeveritymajorReproducibilityalways
StatusacknowledgedResolutionopen 
PlatformPCOSWindowsOS Version10
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0008414: Inventory copy and paste on a folder with content only copies empty folder and does not copy any contents.
DescriptionOn Firestorm 5.1.7.55786 64 bit SL+OS version I have notices that a copy and paste on an inventory folder is not working as expected. The copy and paste only copies the top level empty folder and does not copy any contents.

Seen on latest dev master and checked as also present when going back to login on an OpenSim 0.8.3.0 grid.

I thought this must be a viewer issue, but it seems to work fine in Second Life with the same viewer, so I am reporting this here initially in case something on the server side is causing this.
Steps To ReproduceCreate a folder.
Add any item into the folder
Copy the folder
Paste the folder

Note only the folder is copied and is empty... the contents are not carried over as expected.
Additional InformationIn Second Life with same Firestorm 5.1.7 viewer this works as expected.
TagsNo tags attached.
Git Revision or version numberopensim-0.9.0.1-603-g47bc1fb.zip
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
ViewerFirestorm 5.1.7.55786 64
Attached Files

- Relationships

-  Notes
(0033549)
BillBlight (developer)
2018-11-28 13:35
edited on: 2018-11-28 13:38

Yep sure is an issue.

Seems folder copies to other avatars work fine, as well as object folder transfers , seems to only affect in inventory copies as stated above.

(0033550)
UbitUmarov (administrator)
2018-11-28 15:32

seems working fine on singularity and alchemy
(0033551)
BillBlight (developer)
2018-11-28 15:34
edited on: 2018-11-28 15:39

Yes it appears to work on those viewers, and even the test copies I made on FS that were empty , show up with all the items on Singu.

UPDATE: after clearing inventory cache in FS and relogging the items are in the folders

(0033552)
UbitUmarov (administrator)
2018-11-28 16:17

no there are no items on folder after clear cache
fs just does not create them.
fs works at sl because uses other protocol there
on opensim it just does not send commands to copy the items, as it does at sl
(0033553)
BillBlight (developer)
2018-11-28 16:25

Just tested on an 8x grid with the same results ..


yes my last update was either a fluke, or because I logged in with singu before doing that ..
(0033554)
BillBlight (developer)
2018-11-28 16:32

I just tested with older Firestorm version 5.0.7.52912 and it works as it should ..

I'd say this is a change that FS made that has broken opensim inventory copy, just as Ubit stated.
(0033557)
BillBlight (developer)
2018-11-28 17:31

This appears to be a viewer issue, changes made to recent Firestorm versions, does not seem to affect much older Firestorm or Other Viewers ..
(0033558)
aiaustin (developer)
2018-11-29 01:19

Reported on Firestorm JIRA as https://jira.phoenixviewer.com/browse/FIRE-23316 [^]
(0033559)
BillBlight (developer)
2018-11-29 10:58

Just as a note, I tested this with the latest FS on the OSCC grid, which has not been touched in a LONG time and is still on 8.2.1 , and the behavior is the same with newest FS, empty folders.
(0033560)
UbitUmarov (administrator)
2018-11-29 11:07
edited on: 2018-11-29 11:50

added cap CreateInventoryCategory
This is a total waste of resources relative to older udp protocol, and seems only FS uses it.
We can't go on doing protocol changes that are only good for SL, in fact not even that.
The udp one possibly just needed a little fix for error detection
so this exception.
Possible new http one should not be like this stupid heavy pesudo xml crap LL keeps adding.

(0033561)
BillBlight (developer)
2018-11-29 11:11

Thank you Ubit ...
(0033562)
aiaustin (developer)
2018-11-29 11:49
edited on: 2018-11-29 11:49

That has fixed it on my tests @Ubit. Thanks.

Leaving this mantis open in case Firestorm Viewer changes are made.

(0033563)
Gavin Hird (reporter)
2018-12-02 23:12

The update fixed the issue also on the macOS version of the KokuaOS viewer.
This version is at the moment about 1500 commits ahead of the Windows version which still have the old behavior of not needing this CAP.

- Issue History
Date Modified Username Field Change
2018-11-28 12:44 aiaustin New Issue
2018-11-28 13:35 BillBlight Note Added: 0033549
2018-11-28 13:35 BillBlight Assigned To => BillBlight
2018-11-28 13:35 BillBlight Status new => confirmed
2018-11-28 13:38 BillBlight Note Edited: 0033549 View Revisions
2018-11-28 15:12 BillBlight Assigned To BillBlight => UbitUmarov
2018-11-28 15:12 BillBlight Status confirmed => assigned
2018-11-28 15:32 UbitUmarov Note Added: 0033550
2018-11-28 15:34 BillBlight Note Added: 0033551
2018-11-28 15:39 BillBlight Note Edited: 0033551 View Revisions
2018-11-28 16:17 UbitUmarov Note Added: 0033552
2018-11-28 16:25 BillBlight Note Added: 0033553
2018-11-28 16:32 BillBlight Note Added: 0033554
2018-11-28 17:31 BillBlight Note Added: 0033557
2018-11-28 17:31 BillBlight Status assigned => acknowledged
2018-11-29 01:19 aiaustin Note Added: 0033558
2018-11-29 07:47 aiaustin Description Updated View Revisions
2018-11-29 10:58 BillBlight Note Added: 0033559
2018-11-29 11:07 UbitUmarov Note Added: 0033560
2018-11-29 11:11 BillBlight Note Added: 0033561
2018-11-29 11:49 aiaustin Note Added: 0033562
2018-11-29 11:49 aiaustin Note Edited: 0033562 View Revisions
2018-11-29 11:50 aiaustin Note Edited: 0033560 View Revisions
2018-12-02 23:12 Gavin Hird Note Added: 0033563


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker